/***************************************************************************
                          mylistviewitem.h  -  description
                             -------------------
    copyright            : (C) 2002 by Willy De la Court
    email                : willy.delacourt@pandora.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2 as     *
 *   published by the Free Software Foundation                             *
 *                                                                         *
 ***************************************************************************/

#ifndef _MYLISTVIEWITEM_H_
#define _MYLISTVIEWITEM_H_

#include <qlistview.h>
#include "configwidget.h"

class MListViewItem: public QListViewItem
{
public:
	MListViewItem(QListView *parent, QString text, ConfigWidget *action)
		:QListViewItem(parent, text) { actionWidget = action; }
	MListViewItem(QListView *parent, QString text, QString text2, ConfigWidget *action)
		:QListViewItem(parent, text, text2) { actionWidget = action; }
	MListViewItem(QListView *parent, QString text, QString text2, QString text3, ConfigWidget *action)
		:QListViewItem(parent, text, text2, text3) { actionWidget = action; }
	MListViewItem(QListViewItem *parent, QString text, ConfigWidget *action)
		:QListViewItem(parent, text) { actionWidget = action; }
	MListViewItem(QListViewItem *parent, QString text, QString text2, ConfigWidget *action)
		:QListViewItem(parent, text, text2) { actionWidget = action; }
	virtual ~MListViewItem() { if( actionWidget ) delete actionWidget; }
	
	ConfigWidget *actionWidget;
};

#endif
